Не могу обновить Shockwave Flash

Mozilla Firefox заругался, что мне нужно обновить Shockwave Flash, иначе не будет включать такой плагин (чтобы видео смотреть) . Захожу в центр обновления, нажимаю на кнопку "обновить" и вместо обновления включает мне сайт на английском, в котором хрен разберёшься и даже близко нет такой кнопки "Download". Я попытался удалить плагин и заново установить: удалить я никак не могу (ну невозможно физически) . Установить новый тоже не могу, просит удаления старой версии. Что делать?

http://www.adobe.com/ru/products/flashplayer.html

не могу обновить